<?php
global $wpdb, $arf_dig_pro_user_products_class,$arf_dig_pro_version;
$actions['bulk_delete'] = esc_html__( 'Delete', 'ARForms-Digital-Product' );
echo str_replace( 'id="{arf_id}"', 'id="arf_full_width_loader"', ARF_LOADER_ICON );
?>
<div class="wrap paypal_page" id="arf_digital_product_download_history">
	<div class="top_bar">
	 <span class="h2"><?php esc_html_e( 'Download History', 'ARForms-Digital-Product' ); ?></span>
	</div>

	<div class="arf_success_message" id="success_message">
		<div class="message_descripiton">
			<div class="success_msg_text arf_digpro_success_msg_text" id="success_msg_text" ></div>
			<div class="message_svg_icon">
				<svg stroke-width="14px" height="14px">
					<path fill-rule="evenodd" clip-rule="evenodd" fill="#FFFFFF" d="M6.075,14.407l-5.852-5.84l1.616-1.613l4.394,4.385L17.181,0.411 l1.616,1.613L6.392,14.407H6.075z"></path>
				</svg>
			</div>
		</div>
	</div>

	<div id="error_message" class="arf_error_message">
		<div class="message_descripiton">
			<div class="error_msg_text arf_digpro_error_msg_text" id="error_msg_text"></div>
			<div class="arf_digpro_error_msg_text" id="form_error_message_des"></div>
			<div class="message_svg_icon">
				<svg stroke-width="14px" height="14px">
					<path fill-rule="evenodd" clip-rule="evenodd" fill="#ffffff" d="M10.702,10.909L6.453,6.66l-4.249,4.249L1.143,9.848l4.249-4.249L1.154,1.361l1.062-1.061l4.237,4.237l4.238-4.237l1.061,1.061L7.513,5.599l4.249,4.249L10.702,10.909z"></path>
				</svg>
			</div>
		</div>
	</div>

	<div id="poststuff" class="metabox-holder">
		<div id="post-body">
			<div class="inside">
				<form name="arf_dig_pro_user_product_forms" method="get" id="arf_dig_pro_user_product_forms" class="arf_digpro_full_width" onsubmit="return arf_dig_pro_user_product_bulk_act();">
					<div class="frm_settings_form wrap_content">
						<div id="arf_dig_pro_user_product_forms">
							<?php
							if ( file_exists( ARF_DIG_PRO_VIEWS_DIR . '/arf_dig_pro_download_product_listing_3.0.php' ) ) {
								require_once ARF_DIG_PRO_VIEWS_DIR . '/arf_dig_pro_download_product_listing_3.0.php';}
							?>
						</div>
					</div>
				</form>
				<div class='arf_modal_overlay'>
					<div class='arf_popup_container arf_view_entry_modal'>
					<div class='arf_popup_container_header'><?php echo esc_html__( 'VIEW ENTRY', 'ARForms-Digital-Product' ); ?>
						<div class='arfnewmodalclose arf_entry_model_close' data-dismiss='arfmodal'>
						<svg viewBox='0 -4 32 32'>
							<g id='email'>
								<path fill-rule='evenodd' clip-rule='evenodd' fill='#333333' d='M10.702,10.909L6.453,6.66l-4.249,4.249L1.143,9.848l4.249-4.249L1.154,1.361l1.062-1.061l4.237,4.237l4.238-4.237l1.061,1.061L7.513,5.599l4.249,4.249L10.702,10.909z'>
								</path>
							</g>
						</svg>
						</div>
					</div>
					<div class='arfentry_modal_content arf_popup_content_container'></div>
					</div>
				</div>
				<div id="delete_form_message" class="arfmodal arfhide arffade arfdeletemodabox arf_display_none">
					<div class="arfnewmodalclose" data-dismiss="arfmodal"><img src="<?php echo esc_url( ARFIMAGESURL . '/close-button.png' ); ?>" align="absmiddle" /></div>
					<input type="hidden" value="" id="delete_entry_id"/>
					<div class="arfdelete_modal_title"><img src="<?php echo esc_url( ARFIMAGESURL . '/delete-field-icon.png' ); ?>" align="absmiddle" />&nbsp;<?php esc_html_e( 'DELETE', 'ARForms-Digital-Product' ); ?></div>
					<div class="arfdelete_modal_msg"><?php esc_html_e( 'Are you sure you want to delete this user product?', 'ARForms-Digital-Product' ); ?></div>
					<div class="arf_delete_modal_row">
						<div class="arf_delete_modal_left" onclick="arf_dig_pro_singel_delete('delete', '');"><img src="<?php echo ARFIMAGESURL . '/okay-icon.png'; ?>" align="absmiddle" />&nbsp;<?php esc_html_e( 'Okay', 'ARForms-Digital-Product' ); ?></div>
						<div class="arf_delete_modal_right" data-dismiss="arfmodal"><img src="<?php echo esc_url( ARFIMAGESURL . '/cancel-btnicon.png' ); ?>" align="absmiddle" />&nbsp;<?php esc_html_e( 'Cancel', 'ARForms-Digital-Product' ); ?></div>
					</div>
				</div>
				<div id="delete_bulk_user_product_message" class="arfmodal arfhide arffade arfdeletemodabox">
					<div class="arfnewmodalclose" data-dismiss="arfmodal"><img src="<?php echo esc_url( ARFIMAGESURL . '/close-button.png' ); ?>" align="absmiddle" /></div>
					<input type="hidden" value="false" id="delete_bulk_user_product_flag"/>
					<div class="arfdelete_modal_title"><img src="<?php echo esc_url( ARFIMAGESURL . '/delete-field-icon.png' ); ?>" align="absmiddle" />&nbsp;<?php esc_html_e( 'DELETE ENTRY', 'ARForms-Digital-Product' ); ?></div>
					<div class="arfdelete_modal_msg"><?php esc_html_e( 'Are you sure you want to delete this user product?', 'ARForms-Digital-Product' ); ?></div>
					<div class="arf_delete_modal_row">
						<div class="arf_delete_modal_left" onclick="arf_dig_pro_delete_bulk_user_product('true');"><img src="<?php echo esc_url( ARFIMAGESURL . '/okay-icon.png' ); ?>" align="absmiddle" />&nbsp;<?php esc_html_e( 'Okay', 'ARForms-Digital-Product' ); ?></div>
						<div class="arf_delete_modal_right" data-dismiss="arfmodal"><img src="<?php echo esc_url( ARFIMAGESURL . '/cancel-btnicon.png' ); ?>" align="absmiddle" />&nbsp;<?php esc_html_e( 'Cancel', 'ARForms-Digital-Product' ); ?></div>
					</div>
				</div>
				<div class="documentation_link" align="right">
					<a href="<?php echo esc_url( ARF_DIG_PRO_URL . '/documentation/index.html' ); ?>" target="_blank" class="arlinks doc_link"><?php esc_html_e( 'Download Product Documentation', 'ARForms-Digital-Product' ); ?></a>|
					<a href="https://helpdesk.arpluginshop.com/submit-a-ticket/" target="_blank" class="arlinks support_link"><?php esc_html_e( 'Support', 'ARForms-Digital-Product' ); ?></a> &nbsp;&nbsp;
					<img src="<?php echo esc_url( ARFURL . '/images/dot.png' ); ?>" height="4" width="4" onclick="javascript:OpenInNewTab('<?php echo esc_url( ARFURL . '/documentation/assets/sysinfo.php' ); ?>');" />
				</div>
			</div>
		</div>
	</div>
</div>


	<div class="arf_modal_overlay">
    <div id="delete_bulk_download_pro_form_message" class="arfdeletemodabox arfmodal arf_popup_container arfdeletemodalboxnew">
        <input type="hidden" value="false" id="delete_bulk_entry_flag"/>
        <div class="arfdelete_modal_msg delete_confirm_message"><?php echo addslashes( sprintf( esc_html__('Are you sure you want to %s delete selected Form(s)?','ARForms-Digital-Product'), '<br/>' ) ); ?></div>
        <div class="arf_delete_modal_row delete_popup_footer">
            <button class="rounded_button add_button arf_delete_modal_left arfdelete_color_red" onclick="arf_delete_bulk_download_pro_form('true');">&nbsp;<?php echo addslashes(esc_html__('Okay', 'ARForms-Digital-Product')); ?></button>&nbsp;&nbsp;<button class="arf_delete_modal_right rounded_button delete_button arfdelete_color_gray arf_bulk_delete_transaction_close_btn" data-dismiss="arfmodal">&nbsp;<?php echo addslashes(esc_html__('Cancel', 'ARForms-Digital-Product')); ?></button>
        </div>
    </div>
</div>