var arf_dig_actions = [];
"use strict";
function arf_add_digpro_action(action_name, callback, priority) {
	if ( ! priority) {
		priority = 10;
	}
	if (priority > 100) {
		priority = 100;
	}
	if (priority < 0) {
		priority = 0;
	}
	if (typeof arf_dig_actions[action_name] == 'undefined') {
		arf_dig_actions[action_name] = [];
	}
	if (typeof arf_dig_actions[action_name][priority] == 'undefined') {
		arf_dig_actions[action_name][priority] = []
	}
	arf_dig_actions[action_name][priority].push( callback );
	if ('undefined' != typeof window.arf_actions) {
		var arf_action_keys = Object.keys( window.arf_actions );
		if (arf_action_keys.length > 0) {
			window.arf_actions[action_name] = arf_dig_actions[action_name];
		} else {
			window.arf_actions = arf_dig_actions;
		}
	}
}
function arf_dig_pro_changeitemmeta(id,field_id){
	if (id == '') {
		return false;
	}

	var field_data                       = arf_retrieve_field_data( field_id );
	var download_content                 = "Please download your product by clicking below link  [ARF_download_link  product_id=\"" + id + "\" desc=\"Download\"  type=\"link\" ]";
	field_data.arf_download_link_content = download_content;
	var new_field_data                   = JSON.stringify( field_data );
	jQuery( "#arf_field_data_" + field_id ).val( new_field_data );

}
if (typeof arf_add_action == 'function') {
	arf_add_digpro_action( 'arf_initialize_control_from_outside','arf_initialize_control_from_outside_digital',10 );
	arf_add_digpro_action( 'arf_load_bootstrap_js_css_from_outside','arf_load_bootstrap_js_css_from_outside_digital',10 );
	arf_add_digpro_action( 'arf_exclude_multicolumn_fields','arf_exclude_multicolumn_fields_digital',10 );

	function arf_exclude_multicolumn_fields_digital(param){

		param[0].push( 'arf_product' );

		return param[0];
	}

	function arf_initialize_control_from_outside_digital(param){
		var field_id   = param[0];
		var arf_remove = param[1];
		var field_type = param[2];
		if (field_type == 'arf_product') {

			var inputStyle = jQuery( "#arfmainforminputstyle" ).val();
			var main_url   = jQuery( "[data-id='arfmainformurl']" ).val();

			if (inputStyle == 'material') {
				setTimeout(
					function() {

                        if( arf_remove ){
                        	jQuery("#arf_field_" + field_id).find('.select-wrapper').find('span').remove();
	                        jQuery("#arf_field_" + field_id).find('.select-wrapper').find('.arf-select-dropdown').remove();
	                        jQuery("#arf_field_" + field_id).find('select[name="item_meta[' + field_id + ']"]').unwrap();
                        }
						jQuery( '.sltstandard_front select[name="item_meta[' + field_id + ']"]' ).material_select();
                        
					},
					100
				);
			} else {
				var selectpicker_js_url  = main_url + '/bootstrap/js/bootstrap-select.js';
				var selectpicker_css_url = main_url + '/bootstrap/css/bootstrap-select.css';
				var script               = document.getElementsByTagName( 'script' );
				var styles               = document.getElementsByTagName( 'link' );
				var spt                  = script.length, sty = styles.length, slct_js_flag = false, slct_css_flag = false;
				while (spt--) {
					if (typeof script[spt].src != 'undefined' && script[spt].src == selectpicker_js_url) {
						slct_js_flag = true;
					}
				}
				while (sty--) {
					if (typeof styles[sty].href != 'undefined' && styles[sty].href == selectpicker_css_url) {
						slcg_css_flag = true;
					}
				}
				if ( ! slct_js_flag) {
					jQuery.loadScript( selectpicker_js_url );
				}
				if ( ! slct_css_flag) {
					arf_create_style_node( document, 'link', 'arfbootstrap-select-css', selectpicker_css_url );
				}
				if (jQuery.isFunction( jQuery().selectpicker )) {

					setTimeout(
						function () {
							if( arf_remove ){
								jQuery('#arf_field_' + field_id).find('.bootstrap-select').remove();
							}
							jQuery( '.sltstandard_front select' ).selectpicker();
						},
						500
					);
				}
			}
		}
	}
	function arf_load_bootstrap_js_css_from_outside_digital(param){
		var field_type   = param[0];
		var field_id     = param[1];
		var arf_main_url = param[2];
		if (field_type == 'arf_product') {

			var arf_main_url = jQuery( "[data-id='arfmainformurl']" ).val();
			var arf_version  = jQuery( "#arfmainformversion" ).val();
			var inputStyle   = jQuery( "#arfmainforminputstyle" ).val();
			if (inputStyle == 'material') {
				setTimeout(
					function () {
						jQuery( '.sltstandard_front select' ).material_select();
					},
					100
				);
			} else {
				var selectpicker_js_url  = arf_main_url + '/bootstrap/js/bootstrap-select.js';
				var selectpicker_css_url = arf_main_url + '/bootstrap/css/bootstrap-select.css';
				var script               = document.getElementsByTagName( 'script' );
				var styles               = document.getElementsByTagName( 'link' );
				var spt                  = script.length, sty = styles.length, slct_js_flag = false, slct_css_flag = false;
				while (spt--) {
					if (typeof script[spt].src != 'undefined' && script[spt].src == selectpicker_js_url) {
						slct_js_flag = true;
					}
				}
				while (sty--) {
					if (typeof styles[sty].href != 'undefined' && styles[sty].href == selectpicker_css_url) {
						slcg_css_flag = true;
					}
				}
				if ( ! slct_js_flag) {
					jQuery.loadScript( selectpicker_js_url );
				}
				if ( ! slct_css_flag) {
					arf_create_style_node( document, 'link', 'arfbootstrap-select-css', selectpicker_css_url );
				}
				setTimeout(
					function () {
						jQuery( '.sltstandard_front select' ).selectpicker();
					},
					500
				);
			}
		}
	}
}


function arf_dig_pro_changeitemmeta_278(id){
	if (id == '') {
		return false;
	}

	var product_id       = jQuery( '#itemmeta_' + id ).val();
	var download_content = jQuery( "textarea#arf_field_description_" + id ).val();

	var res = download_content.split( "product_id='" );

	if (res[1]) {
		var spce_explode = res[1].split( " " );

		spce_explode[0] = "product_id='" + product_id + "'";

		var spce_impload           = spce_explode.join( " " );
		var fynal_donwload_content = res[0] + spce_impload;

		jQuery( "textarea#arf_field_description_" + id ).val( fynal_donwload_content );
	}

}